import * as api from '../services/user';

export default {
  namespace: 'user',
  state: {},
  effects: {
    *sendSms({phone}, {call}) {
      const {data} = yield call(api.sendsms, phone);
      return data;
    },
    *signinup(action, {call}) {
      delete action.type;
      const {data} = yield call(api.signinup, action);
      return data;
    },
  },
};
